<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "godown";
$formname = "Godown Print";
$file = "godown_print.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

if (isset($_POST["view"])) {

    $name = $_POST["name"];
    $city = $_POST["city"];

    $namecond = "";
    $citycond = "";


    if (!empty($name)) {
        $namecond = " and `code`= '$name' ";
    }

    if (!empty($city)) {
        $citycond = " and `city` LIKE %'$city'% ";
    }

    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` where code != '' $namecond $citycond ")or die(mysqli_error($conn));

    include("includes/linkshead.php");
    ?>
    </head>
    <body>
        <div class="container">
            <?php include("includes/head_rep.php"); ?>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-bordered table-condensed table-hover">
                        <tr  style="background-color: #1ABC9C">
                            <th style="width:5%">Sr</th>
                            <th style="width:30%">Name</th>                        
                            <th style="width:35%">Address</th>                        
                            <th style="width:15%">City</th>                        
                            <th style="width:15%">Telephone</th>                        
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {


                            Echo "<tr>";
                            Echo"<td>$ctr</td>";
                            Echo"<td>$pmain[gcode]</td>";
                            Echo"<td>$pmain[add1]$pmain[add2]$pamin[add3]</td>";
                            Echo"<td>$pmain[city] $pmain[pin]</td>";
                            Echo"<td>$pmain[tel]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?php
}
if (isset($_POST["excel"])) {

    $name = $_POST["name"];
    $city = $_POST["city"];

    $namecond = "";
    $citycond = "";


    if (!empty($name)) {
        $namecond = " and `code`= '$name' ";
    }

    if (!empty($city)) {
        $citycond = " and `city` LIKE %'$city'% ";
    }

    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` where code != '' $namecond $citycond ")or die(mysqli_error($conn));

    $contents.="Sr, Name, Address, City, Telephone\n";
    
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {


                            $contents.=$ctr . ",";
                            $contents.=$pmain[gcode] . ",";
                            $contents.=$pmain[add1] . " " .$pmain[add2] . " " . $pamin[add3] . ",";
                            $contents.=$pmain[city]."-".$pmain[pin] . ",";
                            $contents.=$pmain[tel] . "\n";
                            $ctr++;
                        }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>